Page MenuHomePhabricator

Use the new queue wrapper for adding messages to the completed and pending queues
Closed, ResolvedPublic1 Story Points

Description

https://gerrit.wikimedia.org/r/#/c/200793/

DEPLOYMENT NOTE:
New configuration must be deployed head of this code. (DONE)

Event Timeline

awight created this task.Mar 16 2015, 11:59 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 11:59 PM
awight added a parent task: Restricted Task.Mar 17 2015, 12:12 AM
atgo triaged this task as High priority.Mar 18 2015, 6:33 PM
atgo set Security to None.
atgo edited a custom field.Mar 18 2015, 6:36 PM
atgo moved this task from Backlog to no on the Fundraising Sprint Grandmaster Flash board.
awight claimed this task.Mar 30 2015, 9:52 PM
awight moved this task from Backlog to Doing on the Fundraising Sprint Grandmaster Flash board.

Ugh, sort of blocked on running "composer update" during unit tests.

awight added a comment.Apr 8 2015, 7:56 PM

Unblocked.

awight updated the task description. (Show Details)Apr 13 2015, 10:04 PM
awight updated the task description. (Show Details)Apr 13 2015, 10:07 PM

Change 200793 had a related patch set uploaded (by Awight):
Use DonationQueue for non-orphan queuing

https://gerrit.wikimedia.org/r/200793

Change 206312 had a related patch set uploaded (by Awight):
WIP Use DonationQueue for limbo queuing

https://gerrit.wikimedia.org/r/206312

awight renamed this task from Use the new queue wrapper for adding messages to the queues to Use the new queue wrapper for adding messages to the completed and pending queues.Apr 24 2015, 11:51 PM
awight updated the task description. (Show Details)

Change 200793 merged by jenkins-bot:
Use DonationQueue for "complete" and "pending" queues

https://gerrit.wikimedia.org/r/200793

Config changes are deployed.

awight updated the task description. (Show Details)Apr 30 2015, 10:03 PM
awight closed this task as Resolved.May 6 2015, 10:12 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM